[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Classes' (#rtl)

# TInterfaceList.Clear

Removes all interfaces from the list.

## Declaration

Source position: classesh.inc line 2104

`public procedure TInterfaceList.Clear;`

## Description

Clear is the implementation of the IInterfaceList.Clear method. It removes all interfaces from the list. It does this by setting each element in the list to Nil, in this way the reference count of each interface in the list is decreased.

## See also

IInterfaceList.Clear |  | Clear the list
Add |  | Add an interface to the list
Destroy |  | Destroys the list of interfaces
TList.Clear |  | Clears the pointer list.
TFPList.Clear |  | Clears the pointer list.